Index: trunk/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- trunk/source/Lib/TLibCommon/ContextTables.h	(revision 1180)
+++ trunk/source/Lib/TLibCommon/ContextTables.h	(revision 1196)
@@ -51,12 +51,7 @@
 #define NUM_SPLIT_FLAG_CTX            3       ///< number of context models for split flag
 #define NUM_SKIP_FLAG_CTX             3       ///< number of context models for skip flag
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 #define NUM_DIS_FLAG_CTX              1
 #define NUM_DIS_TYPE_CTX              1       
-#else
-#if H_3D_SINGLE_DEPTH
-#define NUM_SINGLEDEPTH_FLAG_CTX                     1
-#define NUM_SINGLE_DEPTH_VALUE_DATA_CTX              1       
-#endif
 #endif
 #define NUM_MERGE_FLAG_EXT_CTX        1       ///< number of context models for merge flag of merge extended
@@ -158,5 +153,5 @@
   { CNU,  CNU,  CNU, }, 
 };
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 static const UChar 
 INIT_DIS_FLAG[3][NUM_DIS_FLAG_CTX] =  
@@ -173,21 +168,4 @@
     { 137 }, 
 };
-#else
-#if H_3D_SINGLE_DEPTH
-static const UChar 
-INIT_SINGLEDEPTH_FLAG[3][NUM_SINGLEDEPTH_FLAG_CTX] =  
-{
-  { 185 }, 
-  { 185 }, 
-  { 185 }, 
-};
-static const UChar
-INIT_SINGLE_DEPTH_VALUE_DATA[3][NUM_SINGLE_DEPTH_VALUE_DATA_CTX] = 
-{
-  { 137 }, 
-  { 137 }, 
-  { 137 }, 
-};
-#endif
 #endif
 static const UChar
Index: trunk/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1180)
+++ trunk/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1196)
@@ -60,12 +60,7 @@
   
   m_skipFlag           = NULL;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag           = NULL;
   m_uiDISType          = NULL;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = NULL;
-  m_apSingleDepthValue  = NULL;
-#endif
 #endif
   m_pePartSize         = NULL;
@@ -158,5 +153,4 @@
   m_pbDBBPFlag         = NULL;
 #endif
-
 }
 
@@ -186,12 +180,7 @@
 
     m_skipFlag           = new Bool[ uiNumPartition ];
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag           = new Bool[ uiNumPartition ];
     m_uiDISType          = (UInt*)xMalloc(UInt, uiNumPartition);
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag     = new Bool[ uiNumPartition ];
-    m_apSingleDepthValue  = (Pel*)xMalloc(Pel, uiNumPartition);
-#endif
 #endif
     m_pePartSize         = new Char[ uiNumPartition ];
@@ -337,12 +326,7 @@
 
     if ( m_skipFlag           ) { delete[] m_skipFlag;          m_skipFlag          = NULL; }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     if ( m_bDISFlag           ) { delete[] m_bDISFlag;   m_bDISFlag     = NULL; }
     if ( m_uiDISType         ) { xFree(m_uiDISType);  m_uiDISType    = NULL; }
-#else
-#if H_3D_SINGLE_DEPTH
-    if ( m_singleDepthFlag    ) { delete[] m_singleDepthFlag;   m_singleDepthFlag     = NULL; }
-    if ( m_apSingleDepthValue ) { xFree(m_apSingleDepthValue);  m_apSingleDepthValue  = NULL; }
-#endif
 #endif
     if ( m_pePartSize         ) { delete[] m_pePartSize;        m_pePartSize        = NULL; }
@@ -506,12 +490,7 @@
     TComDataCU * pcFrom = pcPic->getCU(getAddr());
     m_skipFlag[ui]   = pcFrom->getSkipFlag(ui);
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag[ui]   = pcFrom->getDISFlag(ui);
     m_uiDISType[ui]  = pcFrom->getDISType(ui);
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag[ui]    = pcFrom->getSingleDepthFlag(ui);
-    m_apSingleDepthValue[ui] = pcFrom->getSingleDepthValue(ui);
-#endif
 #endif
     m_pePartSize[ui] = pcFrom->getPartitionSize(ui);
@@ -566,12 +545,7 @@
   {
     memset( m_skipFlag          + firstElement, false,                    numElements * sizeof( *m_skipFlag ) );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     memset( m_bDISFlag          + firstElement, false,                    numElements * sizeof( *m_bDISFlag ) );
     memset( m_uiDISType         + firstElement,     0,                    numElements * sizeof( *m_uiDISType) );
-#else
-#if H_3D_SINGLE_DEPTH
-    memset( m_singleDepthFlag     + firstElement, false,                  numElements * sizeof( *m_singleDepthFlag ) );
-    memset( m_apSingleDepthValue  + firstElement,     0,                  numElements * sizeof( *m_apSingleDepthValue ) );
-#endif
 #endif
     memset( m_pePartSize        + firstElement, SIZE_NONE,                numElements * sizeof( *m_pePartSize ) );
@@ -758,12 +732,7 @@
       m_puhTransformSkip[2][ui] = 0;
       m_skipFlag[ui]   = false;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       m_bDISFlag[ui]   = false;
       m_uiDISType[ui]  = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-      m_singleDepthFlag[ui]     = false;
-      m_apSingleDepthValue[ui]  = 0;
-#endif
 #endif
       m_pePartSize[ui] = SIZE_NONE;
@@ -891,7 +860,4 @@
   memset( m_puhCbf[2],          0, iSizeInUchar );
   memset( m_puhDepth,     uiDepth, iSizeInUchar );
-#if H_3D_NBDV && !SEC_ARP_REM_ENC_RESTRICT_K0035
-  m_pDvInfo->bDV = false;
-#endif
 #if H_3D_ARP
   memset( m_puhARPW,            0, iSizeInUchar  );
@@ -934,12 +900,7 @@
   {
     m_skipFlag[ui]   = false;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag[ui]   = false;
     m_uiDISType[ui]  = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag[ui]   = false;
-    m_apSingleDepthValue[ui]= 0;
-#endif
 #endif
     m_pePartSize[ui] = SIZE_NONE;
@@ -964,12 +925,7 @@
       m_puhTransformSkip[2][ui] = pcCU->getTransformSkip(uiPartOffset+ui,TEXT_CHROMA_V);
       m_skipFlag[ui]   = pcCU->getSkipFlag(uiPartOffset+ui);
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       m_bDISFlag[ui]    = pcCU->getDISFlag(uiPartOffset+ui);
       m_uiDISType[ui]   = pcCU->getDISType(uiPartOffset+ui);
-#else
-#if H_3D_SINGLE_DEPTH
-      m_singleDepthFlag[ui]    = pcCU->getSingleDepthFlag(uiPartOffset+ui);
-      m_apSingleDepthValue[ui] = pcCU->getSingleDepthValue(uiPartOffset+ui);
-#endif
 #endif
       m_pePartSize[ui] = pcCU->getPartitionSize(uiPartOffset+ui);
@@ -1000,6 +956,4 @@
       m_pbICFlag          [ui] = pcCU->m_pbICFlag[uiPartOffset+ui];
 #endif
-
-
 #if H_3D_DIM
       for( Int i = 0; i < DIM_NUM_TYPE; i++ )
@@ -1118,12 +1072,7 @@
   
   m_skipFlag=pcCU->getSkipFlag()          + uiPart;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag     = pcCU->getDISFlag()     + uiPart;
   m_uiDISType    = pcCU->getDISType()     + uiPart;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = pcCU->getSingleDepthFlag()   + uiPart;
-  m_apSingleDepthValue  = pcCU->getSingleDepthValue()  + uiPart;
-#endif
 #endif
   m_phQP=pcCU->getQP()                    + uiPart;
@@ -1143,5 +1092,4 @@
   m_pbSPIVMPFlag        = pcCU->getSPIVMPFlag()          + uiPart;
 #endif
-
 #if H_3D_ARP
   m_puhARPW             = pcCU->getARPW()             + uiPart;
@@ -1150,6 +1098,4 @@
   m_pbICFlag            = pcCU->getICFlag()           + uiPart;
 #endif
-
-
   m_puhLumaIntraDir     = pcCU->getLumaIntraDir()     + uiPart;
   m_puhChromaIntraDir   = pcCU->getChromaIntraDir()   + uiPart;
@@ -1260,12 +1206,7 @@
   
   m_skipFlag           = pcCU->getSkipFlag ()             + uiAbsPartIdx;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag           = pcCU->getDISFlag ()              + uiAbsPartIdx;
   m_uiDISType          = pcCU->getDISType()               + uiAbsPartIdx;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = pcCU->getSingleDepthFlag ()             + uiAbsPartIdx;
-  m_apSingleDepthValue  = pcCU->getSingleDepthValue ()            + uiAbsPartIdx;
-#endif
 #endif
   m_pePartSize         = pcCU->getPartitionSize ()        + uiAbsPartIdx;
@@ -1295,15 +1236,11 @@
 #endif
 #if H_3D_SPIVMP
-  m_pbSPIVMPFlag       = pcCU->getSPIVMPFlag()               + uiAbsPartIdx;
-#endif
-
+  m_pbSPIVMPFlag       = pcCU->getSPIVMPFlag()            + uiAbsPartIdx;
+#endif
   m_apiMVPIdx[eRefPicList] = pcCU->getMVPIdx(eRefPicList) + uiAbsPartIdx;
-  m_apiMVPNum[eRefPicList] = pcCU->getMVPNum(eRefPicList) + uiAbsPartIdx;
-  
+  m_apiMVPNum[eRefPicList] = pcCU->getMVPNum(eRefPicList) + uiAbsPartIdx;  
 #if H_3D_ARP
   m_puhARPW            = pcCU->getARPW()                  + uiAbsPartIdx;
-#endif
-
-    
+#endif    
 #if H_3D_DBBP
   m_pbDBBPFlag       = pcCU->getDBBPFlag()              + uiAbsPartIdx;
@@ -1340,12 +1277,7 @@
   Int sizeInChar  = sizeof( Char ) * uiNumPartition;
   memcpy( m_skipFlag   + uiOffset, pcCU->getSkipFlag(),       sizeof( *m_skipFlag )   * uiNumPartition );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( m_bDISFlag   + uiOffset, pcCU->getDISFlag(),       sizeof( *m_bDISFlag )   * uiNumPartition );
   memcpy( m_uiDISType  + uiOffset, pcCU->getDISType(),       sizeof( *m_uiDISType )  * uiNumPartition);
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( m_singleDepthFlag     + uiOffset, pcCU->getSingleDepthFlag(),       sizeof( *m_singleDepthFlag )   * uiNumPartition );
-  memcpy( m_apSingleDepthValue  + uiOffset, pcCU->getSingleDepthValue(),      sizeof( *m_apSingleDepthValue ) * uiNumPartition);
-#endif
 #endif
   memcpy( m_phQP       + uiOffset, pcCU->getQP(),             sizeInChar                        );
@@ -1358,5 +1290,4 @@
   memcpy( m_piVSPFlag           + uiOffset, pcCU->getVSPFlag(),           sizeof( Char ) * uiNumPartition );
   memcpy( m_pDvInfo             + uiOffset, pcCU->getDvInfo(),            sizeof( *m_pDvInfo ) * uiNumPartition );
-
 #endif
 #if H_3D_SPIVMP
@@ -1374,7 +1305,4 @@
   memcpy( m_puhCbf[1] + uiOffset, pcCU->getCbf(TEXT_CHROMA_U), iSizeInUchar );
   memcpy( m_puhCbf[2] + uiOffset, pcCU->getCbf(TEXT_CHROMA_V), iSizeInUchar );
-
-
-
 #if H_3D_DIM
   for( Int i = 0; i < DIM_NUM_TYPE; i++ )
@@ -1465,12 +1393,7 @@
 
   memcpy( rpcCU->getSkipFlag() + m_uiAbsIdxInLCU, m_skipFlag, sizeof( *m_skipFlag ) * m_uiNumPartition );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( rpcCU->getDISFlag()  + m_uiAbsIdxInLCU, m_bDISFlag,    sizeof( *m_bDISFlag )  * m_uiNumPartition );
   memcpy( rpcCU->getDISType()  + m_uiAbsIdxInLCU, m_uiDISType,   sizeof( *m_uiDISType ) * m_uiNumPartition );
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( rpcCU->getSingleDepthFlag()  + m_uiAbsIdxInLCU, m_singleDepthFlag,    sizeof( *m_singleDepthFlag ) * m_uiNumPartition );
-  memcpy( rpcCU->getSingleDepthValue() + m_uiAbsIdxInLCU, m_apSingleDepthValue, sizeof( *m_apSingleDepthValue ) * m_uiNumPartition);
-#endif
 #endif
   memcpy( rpcCU->getQP() + m_uiAbsIdxInLCU, m_phQP, sizeInChar  );
@@ -1478,6 +1401,4 @@
   memcpy( rpcCU->getDvInfo()         + m_uiAbsIdxInLCU, m_pDvInfo,    sizeof(* m_pDvInfo)     * m_uiNumPartition );
 #endif
-
-
   memcpy( rpcCU->getPartitionSize()  + m_uiAbsIdxInLCU, m_pePartSize, sizeof( *m_pePartSize ) * m_uiNumPartition );
   memcpy( rpcCU->getPredictionMode() + m_uiAbsIdxInLCU, m_pePredMode, sizeof( *m_pePredMode ) * m_uiNumPartition );
@@ -1585,12 +1506,7 @@
   Int sizeInChar  = sizeof( Char ) * uiQNumPart;
   memcpy( rpcCU->getSkipFlag()       + uiPartOffset, m_skipFlag,   sizeof( *m_skipFlag )   * uiQNumPart );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( rpcCU->getDISFlag()  + uiPartOffset, m_bDISFlag,    sizeof( *m_bDISFlag )   * uiQNumPart );
   memcpy( rpcCU->getDISType()  + uiPartOffset, m_uiDISType,   sizeof( *m_uiDISType )  * uiQNumPart );
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( rpcCU->getSingleDepthFlag()  + uiPartOffset, m_singleDepthFlag,    sizeof( *m_singleDepthFlag )   * uiQNumPart );
-  memcpy( rpcCU->getSingleDepthValue() + uiPartOffset, m_apSingleDepthValue, sizeof( *m_apSingleDepthValue ) * uiQNumPart);
-#endif
 #endif
   memcpy( rpcCU->getQP() + uiPartOffset, m_phQP, sizeInChar );
@@ -1616,6 +1532,4 @@
   memcpy( rpcCU->getCbf(TEXT_CHROMA_U) + uiPartOffset, m_puhCbf[1], iSizeInUchar );
   memcpy( rpcCU->getCbf(TEXT_CHROMA_V) + uiPartOffset, m_puhCbf[2], iSizeInUchar );
-
-
 #if H_3D_DIM
   for( Int i = 0; i < DMM_NUM_TYPE; i++ )
@@ -2352,6 +2266,5 @@
   {
     return NULL;
-  }
-  
+  }  
 #if H_3D_FCO
   TComPic* depthPic = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
@@ -2388,8 +2301,4 @@
     Int iPictureHeight = depthPicYuv->getHeight();
     
-#if !HS_DBBP_CLEAN_K0048
-    Int iWidth  = uiWidth;
-    Int iHeight = uiHeight;
-#endif
     
     Bool depthRefineFlag = false;
@@ -2404,11 +2313,6 @@
     }
     
-#if HS_DBBP_CLEAN_K0048
     Int depthPosX = Clip3(0,   iPictureWidth - 1,  iBlkX + ((cDv.getHor()+2)>>2));
     Int depthPosY = Clip3(0,   iPictureHeight - 1, iBlkY + ((cDv.getVer()+2)>>2));
-#else
-    Int depthPosX = Clip3(0,   iPictureWidth - iWidth,  iBlkX + ((cDv.getHor()+2)>>2));
-    Int depthPosY = Clip3(0,   iPictureHeight- iHeight, iBlkY + ((cDv.getVer()+2)>>2));
-#endif
     
     pDepthPels = depthPicYuv->getLumaAddr() + depthPosX + depthPosY * uiDepthStride;
@@ -2500,6 +2404,5 @@
   memset( m_skipFlag + absPartIdx, skip, m_pcPic->getNumPartInCU() >> ( 2 * depth ) );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TComDataCU::setDISFlagSubParts( Bool bDIS, UInt absPartIdx, UInt depth )
 {
@@ -2512,17 +2415,4 @@
     setSubPartT( uiDISType, m_uiDISType, uiAbsPartIdx, uiDepth, uiPUIdx );
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TComDataCU::setSingleDepthFlagSubParts( Bool singleDepth, UInt absPartIdx, UInt depth )
-{
-  assert( sizeof( *m_singleDepthFlag) == 1 );
-  memset( m_singleDepthFlag + absPartIdx, singleDepth, m_pcPic->getNumPartInCU() >> ( 2 * depth ) );
-}
-
-Void TComDataCU::setSingleDepthValueSubParts(Pel singleDepthValue, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth )
-{
-  setSubPartT<Pel>( singleDepthValue, m_apSingleDepthValue, uiAbsPartIdx, uiDepth, uiPUIdx );
-}
-#endif
 #endif
 
@@ -3941,5 +3831,5 @@
 #endif
 #if H_3D_ARP
-  Bool bARPFlag = getARPW(uiAbsPartIdx)>0 ? true : false;
+  Bool bARPFlag = getARPW(uiAbsPartIdx) > 0;
 #endif
 #if H_3D_DBBP
@@ -3974,6 +3864,5 @@
     m_mergCands[MRG_A1].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    , 
-      (pcCULeft->getVSPFlag(uiLeftPartIdx) != 0
+    , (pcCULeft->getVSPFlag(uiLeftPartIdx) != 0
 #if H_3D_IC
       && !bICFlag
@@ -3998,6 +3887,5 @@
     m_mergCands[MRG_B1].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -4026,6 +3914,5 @@
     m_mergCands[MRG_A0].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -4040,6 +3927,5 @@
     m_mergCands[MRG_B2].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -4068,9 +3954,5 @@
     TComPic * pcTexPic = m_pcSlice->getTexturePic();
 #if H_3D_FCO
-#if H_3D_FCO
     if (pcTexPic && pcTexPic->getReconMark())
-#else
-    if (pcTexturePic->getReconMark())
-#endif
     {
 #endif    
@@ -4107,5 +3989,5 @@
       Int         iTexPosX, iTexPosY;
       const TComMv cMvRounding( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-      
+
       Int         iCenterPosX = iCurrPosX + ( ( iWidth /  iPUWidth ) >> 1 )  * iPUWidth + ( iPUWidth >> 1 );
       Int         iCenterPosY = iCurrPosY + ( ( iHeight /  iPUHeight ) >> 1 )  * iPUHeight + (iPUHeight >> 1);
@@ -4114,6 +3996,6 @@
       if(iWidth == iPUWidth && iHeight == iPUHeight)
       {
-          iCenterPosX = iCurrPosX + (iWidth >> 1);
-          iCenterPosY = iCurrPosY + (iHeight >> 1);
+        iCenterPosX = iCurrPosX + (iWidth >> 1);
+        iCenterPosY = iCurrPosY + (iHeight >> 1);
       }
 
@@ -4151,8 +4033,8 @@
       if ( bSPIVMPFlag == true )
       {   
-          iInterDirSaved = (cMvFieldSaved[0].getRefIdx()!=-1 ? 1: 0) + (cMvFieldSaved[1].getRefIdx()!=-1 ? 2: 0);
-          tmpDir = iInterDirSaved;
-          tmpMV[0] = cMvFieldSaved[0];
-          tmpMV[1] = cMvFieldSaved[1];
+        iInterDirSaved = (cMvFieldSaved[0].getRefIdx()!=-1 ? 1: 0) + (cMvFieldSaved[1].getRefIdx()!=-1 ? 2: 0);
+        tmpDir = iInterDirSaved;
+        tmpMV[0] = cMvFieldSaved[0];
+        tmpMV[1] = cMvFieldSaved[1];
       }
 
@@ -4180,7 +4062,4 @@
                   TComMv cMv = cTexMvField.getMv() + cMvRounding;
                   cMv >>=2;          
-#if !(NTT_BUG_FIX_TK54)
-                  this->clipMv( cMv );
-#endif
                   pcMvFieldSP[2*iPartition + uiCurrRefListId].setMvField(cMv, iValidDepRef);
                 }
@@ -4197,14 +4076,4 @@
               }
             }
-#if !SHARP_SUBBLOCK_CLEAN_K0044
-            if (iPUHeight + iPUWidth == 12)
-            {
-              if (puhInterDirSP[iPartition] == 3)
-              {
-                puhInterDirSP[iPartition] = 1;
-                pcMvFieldSP[2*iPartition + 1].setMvField(TComMv(0,0), -1);
-              }
-            }
-#endif
 
             iPartition ++;
@@ -4309,14 +4178,14 @@
     if (!bRemoveSpa)
     {
-      Bool SPIVMPFlag = false;
+      Bool spiMvpFlag = false;
       if(!m_pcSlice->getIsDepth())
       {
-        SPIVMPFlag = true;
+        spiMvpFlag = true;
       }
 #if H_3D_DBBP
-      SPIVMPFlag &= !bDBBPFlag;
-#endif
-
-      m_mergCands[MRG_IVMC].setCand( tmpMV, ivCandDir[0], false, SPIVMPFlag);
+      spiMvpFlag &= !bDBBPFlag;
+#endif
+
+      m_mergCands[MRG_IVMC].setCand( tmpMV, ivCandDir[0], false, spiMvpFlag);
 
       if ( mrgCandIdx == iCount )
@@ -5422,6 +5291,6 @@
 }
 
-#if SONY_MV_V_CONST_C0078
-Void TComDataCU::checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx )
+#if H_MV
+Void TComDataCU::checkMvVertRest (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx )
 {
   if ( getSlice()->getSPS()->getInterViewMvVertConstraintFlag() )
@@ -5780,28 +5649,17 @@
   }
 
-  if ( bIsCurrRefLongTerm || bIsColRefLongTerm ) // CY: this condition equals to both bIsCurrRefLongTerm and bIsColRefLongTerm being 1
+  if ( bIsCurrRefLongTerm || bIsColRefLongTerm )
   {
 #if H_3D_TMVP
-#if !H_3D_FIX_TMVP_SCALING_VIEW_ID
-    Int iCurrViewId    = m_pcSlice->getViewIndex (); 
-    Int iCurrRefViewId = m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewIndex (); 
-    Int iColViewId     = pColCU->getSlice()->getViewIndex(); 
-    Int iColRefViewId  = pColCU->getSlice()->getRefPic( eColRefPicList, pColCU->getCUMvField(eColRefPicList)->getRefIdx(uiAbsPartAddr))->getViewIndex(); 
-#else
     Int iCurrViewId    = m_pcSlice->getViewId (); 
     Int iCurrRefViewId = m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewId (); 
     Int iColViewId     = pColCU->getSlice()->getViewId(); 
     Int iColRefViewId  = pColCU->getSlice()->getRefPic( eColRefPicList, pColCU->getCUMvField(eColRefPicList)->getRefIdx(uiAbsPartAddr))->getViewId(); 
-#endif
-#if H_3D_TMVP_SCALING_FIX_K0053
     iScale = 4096;
     if ( iCurrRefViewId != iCurrViewId && iColViewId != iColRefViewId )
-#endif
+    {
       iScale = xGetDistScaleFactor( iCurrViewId, iCurrRefViewId, iColViewId, iColRefViewId );
-#if H_3D_TMVP_FIX_TICKET_97 
+    }
     if ( bMRG && iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) ) 
-#else
-    if ( iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) )
-#endif
     {
       rcMv = cColMv.scaleMv( iScale );
@@ -5815,5 +5673,5 @@
 #endif
   }
-  else // CY: both bIsCurrRefLongTerm and bIsColRefLongTerm are 0
+  else
   {
     iScale = xGetDistScaleFactor(iCurrPOC, iCurrRefPOC, iColPOC, iColRefPOC);
@@ -5979,12 +5837,8 @@
 }
 #endif
+
 #if H_3D_IV_MERGE
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
 Void TComDataCU::getDispforDepth (UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDisp)
-#else
-Bool TComDataCU::getDispforDepth (UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDisp)
-#endif
-{
-
+{
   assert(getPartitionSize( uiPartAddr ) == SIZE_2Nx2N);
 
@@ -5992,26 +5846,19 @@
   if ( getSlice()->getDefaultRefViewIdxAvailableFlag() )
   {
-      Int iViewIdx = getSlice()->getDefaultRefViewIdx();
-      pDisp->m_aVIdxCan = iViewIdx;
-      Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
-
-      cMv.setHor(iDisp);
-      cMv.setVer(0);
-      pDisp->m_acNBDV = cMv;
-      pDisp->m_aVIdxCan = iViewIdx;
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-      return true;
-#endif
-  }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  return false;
-#endif
-}
-#endif
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+    Int iViewIdx = getSlice()->getDefaultRefViewIdx();
+    pDisp->m_aVIdxCan = iViewIdx;
+    Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
+
+    cMv.setHor(iDisp);
+    cMv.setVer(0);
+    pDisp->m_acNBDV = cMv;
+    pDisp->m_aVIdxCan = iViewIdx;
+  }
+}
+#endif
+
+#if H_3D
 Bool TComDataCU::getNeighDepth ( UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index )
 {
-#if NEIGHBORING_PIX_AVAILABILITY_FIX
   UInt  uiPartIdxLT, uiPartIdxRT;
   this->deriveLeftRightTopIdxAdi( uiPartIdxLT, uiPartIdxRT, 0, 0 );
@@ -6066,72 +5913,6 @@
 
   return bDepAvail;
-#else
-  Bool bDepAvail = false;
-  Pel *pDepth  = this->getPic()->getPicYuvRec()->getLumaAddr();
-  Int iDepStride =  this->getPic()->getPicYuvRec()->getStride();
-
-  Int xP, yP, nPSW, nPSH;
-  this->getPartPosition(uiPartIdx, xP, yP, nPSW, nPSH);
-  UInt PicHeight=this->getPic()->getPicYuvRec()->getHeight();
-  UInt PicWidth=this->getPic()->getPicYuvRec()->getWidth();
-  switch(index)
-  {
-  case 0: // Mid Left
-    if( ( xP != 0 ) && ( ( yP + ( nPSH >> 1 ) ) < PicHeight ) )
-    {
-      *pNeighDepth = pDepth[ (yP+(nPSH>>1)) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-  case 1: // Mid Above
-    if( ( yP != 0 ) && ( ( xP + ( nPSW >> 1 ) ) < PicWidth ) )
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP + (nPSW>>1)) ];
-      bDepAvail = true;
-    }
-    break;
-  default:
-    break;
-  }
-  return bDepAvail;
-#endif
-}
-#else
-#if H_3D_SINGLE_DEPTH
-Bool TComDataCU::getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index)
-{
-
-  Bool bDepAvail = false;
-  Pel *pDepth  = this->getPic()->getPicYuvRec()->getLumaAddr();
-  Int iDepStride =  this->getPic()->getPicYuvRec()->getStride();
-
-  Int xP, yP, nPSW, nPSH;
-  this->getPartPosition(uiPartIdx, xP, yP, nPSW, nPSH);
-  UInt PicHeight=this->getPic()->getPicYuvRec()->getHeight();
-  UInt PicWidth=this->getPic()->getPicYuvRec()->getWidth();
-  switch(index)
-  {
-  case 0: // Mid Left
-    if( ( xP != 0 ) && ( ( yP + ( nPSH >> 1 ) ) < PicHeight ) )
-    {
-      *pNeighDepth = pDepth[ (yP+(nPSH>>1)) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-  case 1: // Mid Above
-    if( ( yP != 0 ) && ( ( xP + ( nPSW >> 1 ) ) < PicWidth ) )
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP + (nPSW>>1)) ];
-      bDepAvail = true;
-    }
-    break;
-  default:
-      break;
-  }
-  return bDepAvail;
-}
-#endif
-#endif
-
+}
+#endif
 #if H_3D_NBDV 
 //Notes from QC:
@@ -6139,9 +5920,5 @@
 //TBD#2: set of DvMCP values need to be done as part of inter-view motion prediction process. Remove this comment once merge related integration is done
 //To be checked: Parallel Merge features for NBDV, related to DV_DERIVATION_PARALLEL_B0096 and LGE_IVMP_PARALLEL_MERGE_B0136 are not integrated. The need of these features due to the adoption of CU-based NBDV is not clear. We need confirmation on this, especially by proponents
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
 Void TComDataCU::getDisMvpCandNBDV( DisInfo* pDInfo
-#else
-Bool TComDataCU::getDisMvpCandNBDV( DisInfo* pDInfo
-#endif
 #if H_3D_NBDV_REF
 , Bool bDepthRefine
@@ -6151,7 +5928,4 @@
   //// ******* Init variables ******* /////
   // Init disparity struct for results
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  pDInfo->bDV = false;   
-#endif
   pDInfo->m_aVIdxCan = -1;
 
@@ -6217,7 +5991,4 @@
       if( bCheck )
       {
-#if !(NTT_BUG_FIX_TK54)
-        clipMv(cColMv);
-#endif
         pDInfo->m_acNBDV = cColMv;
         pDInfo->m_aVIdxCan  = iTargetViewIdx;
@@ -6239,18 +6010,12 @@
 #else
         picDepth = getSlice()->getIvPic( true, iTargetViewIdx );
-#if !BUG_FIX_TK65
-        assert(picDepth != NULL);
-#endif
 #endif
         if (picDepth && bDepthRefine)
+        {
           estimateDVFromDM(iTargetViewIdx, uiPartIdx, picDepth, uiPartAddr, &cColMv );
-
+        }
         pDInfo->m_acDoNBDV  = cColMv;
 #endif //H_3D_NBDV_REF
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
         return;
-#else
-        return true;
-#endif
       }
     }
@@ -6269,9 +6034,5 @@
 #endif
     ) )
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
     return;
-#else
-    return true;
-#endif
 
   //// ******* Get disparity from above block ******* /////
@@ -6285,9 +6046,5 @@
 #endif
       ) )
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
       return;
-#else
-      return true;
-#endif
   }
 
@@ -6302,7 +6059,4 @@
         {
           TComMv cDispVec = cIDVInfo.m_acMvCand[iList][ curPos ];
-#if !(NTT_BUG_FIX_TK54)
-          clipMv( cDispVec );
-#endif
           pDInfo->m_acNBDV = cDispVec;
           pDInfo->m_aVIdxCan = cIDVInfo.m_aVIdxCan[iList][ curPos ];
@@ -6324,7 +6078,4 @@
 #else
           TComPic* picDepth = getSlice()->getIvPic( true, pDInfo->m_aVIdxCan );
-#if !BUG_FIX_TK65
-          assert(picDepth!=NULL);
-#endif
 #endif
 
@@ -6335,9 +6086,5 @@
           pDInfo->m_acDoNBDV = cDispVec;
 #endif
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
           return;
-#else
-          return true;
-#endif
         }
       }
@@ -6350,36 +6097,30 @@
   if (getSlice()->getDefaultRefViewIdxAvailableFlag())
   {
-      pDInfo->m_aVIdxCan = getSlice()->getDefaultRefViewIdx();
+    pDInfo->m_aVIdxCan = getSlice()->getDefaultRefViewIdx();
 
 #if H_3D_NBDV_REF
-          TComPic* picDepth = NULL;
+    TComPic* picDepth = NULL;
 #if H_3D_FCO_VSP_DONBDV_E0163
-          picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
-      if ( picDepth->getPicYuvRec() != NULL )  
-      {
-          defaultDV.setZero();
-      }
-      else // Go back with virtual depth
-      {
-          picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
-      }
-
-      assert(picDepth != NULL);
+    picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
+    if ( picDepth->getPicYuvRec() != NULL )  
+    {
+      defaultDV.setZero();
+    }
+    else // Go back with virtual depth
+    {
+      picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
+    }
+
+    assert(picDepth != NULL);
 #else
-          picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
-#endif
-      if (picDepth && bDepthRefine)
-      {
-          estimateDVFromDM(getSlice()->getDefaultRefViewIdx(), uiPartIdx, picDepth, uiPartAddr, &defaultDV ); // from base view
-      }
-      pDInfo->m_acDoNBDV = defaultDV;
-#endif
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-      return true;
-#endif
-  }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  return false; 
-#endif
+    picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
+#endif
+    if (picDepth && bDepthRefine)
+    {
+      estimateDVFromDM(getSlice()->getDefaultRefViewIdx(), uiPartIdx, picDepth, uiPartAddr, &defaultDV ); // from base view
+    }
+    pDInfo->m_acDoNBDV = defaultDV;
+#endif
+  }
 }
 
@@ -6423,7 +6164,4 @@
     Pel iDisp = getMcpFromDM( pcBaseViewDepthPicYuv, cMvPred, iBlkX, iBlkY, iWidth, iHeight, aiShiftLUT );
     cMvPred->setHor( iDisp );
-#if !(NTT_BUG_FIX_TK54)
-    clipMv(*cMvPred);
-#endif
   }
 }
@@ -6451,7 +6189,4 @@
         if (refViewIdx != m_pcSlice->getViewIndex()) 
         {
-#if !(NTT_BUG_FIX_TK54)
-          clipMv(cMvPred);
-#endif
           pNbDvInfo->m_acNBDV = cMvPred;
           pNbDvInfo->m_aVIdxCan = refViewIdx;
@@ -6472,7 +6207,4 @@
 #else
           picDepth   = getSlice()->getIvPic (true, refViewIdx );
-#if !BUG_FIX_TK65
-          assert(picDepth != NULL);
-#endif
 #endif
           UInt uiPartIdx = 0;   //Notes from MTK: Please confirm that using 0 as partition index and partition address is correct for CU-level DoNBDV
@@ -6480,6 +6212,7 @@
 
           if (picDepth && bDepthRefine)
+          {
             estimateDVFromDM(refViewIdx, uiPartIdx, picDepth, uiPartAddr, &cMvPred );
-
+          }
           pNbDvInfo->m_acDoNBDV = cMvPred;
 #endif
@@ -6870,7 +6603,4 @@
 #endif
 #endif
-#if !(NTT_BUG_FIX_TK54)
-                      clipMv( cMv );
-#endif
                       paiPdmRefIdx  [ uiCurrRefListId ] = iPdmRefIdx;
                       pacPdmMv      [ uiCurrRefListId ] = cMv;
@@ -6904,6 +6634,6 @@
                 {
                   RefPicList  eCurrRefPicList = RefPicList( uiCurrRefListId );
-                  Bool bLoop_stop = false;
-                  for(Int iLoop = 0; iLoop < 2 && !bLoop_stop; ++iLoop)
+                  Bool bLoopStop = false;
+                  for(Int iLoop = 0; iLoop < 2 && !bLoopStop; ++iLoop)
                   {
                     RefPicList eBaseRefPicList = (iLoop ==1)? RefPicList( 1 -  uiCurrRefListId ) : RefPicList( uiCurrRefListId );
@@ -6931,8 +6661,5 @@
                             }
 
-#if !(NTT_BUG_FIX_TK54)
-                            clipMv( cMv );
-#endif
-                            bLoop_stop = true;
+                            bLoopStop = true;
 
                             pcMvFieldSP[2*iPartition + uiCurrRefListId].setMvField(cMv, iPdmRefIdx);
@@ -6954,14 +6681,4 @@
 
               }
-#if !SHARP_SUBBLOCK_CLEAN_K0044
-              if (iSPHeight + iSPWidth == 12)
-              {
-                if (puhInterDirSP[iPartition] == 3)
-                {
-                  puhInterDirSP[iPartition] = 1;
-                  pcMvFieldSP[2*iPartition + 1].setMvField(TComMv(0,0), -1);
-                }
-              }
-#endif
               iPartition ++;
             }
@@ -6996,11 +6713,6 @@
       Int         iBaseAbsPartIdx;
 
-#if SEC_SHIFTED_IVMC_POS_K0036
       Int offsetW = (iLoopCan == 0) ? 0 : ( iWidth  * 2 );
       Int offsetH = (iLoopCan == 0) ? 0 : ( iHeight * 2 );
-#else
-      Int offsetW = (iLoopCan == 0) ? 0 : ( ((iWidth /2)*4) + 4 );
-      Int offsetH = (iLoopCan == 0) ? 0 : ( ((iHeight/2)*4) + 4 );
-#endif
 
       Int         iBasePosX   = Clip3( 0, pcBaseRec->getWidth () - 1, iCurrPosX + ( (cDv.getHor() + offsetW + 2 ) >> 2 ) );
@@ -7048,7 +6760,4 @@
 #endif
 #endif
-#if !(NTT_BUG_FIX_TK54)
-                    clipMv( cMv );
-#endif
                     paiPdmRefIdx  [ (uiCurrRefListId + (iLoopCan<<2)) ] = iPdmRefIdx;
                     pacPdmMv      [ (uiCurrRefListId + (iLoopCan<<2)) ] = cMv;
@@ -7104,7 +6813,4 @@
 #endif
             cMv.setVer( 0 );
-#if !(NTT_BUG_FIX_TK54)
-            clipMv( cMv );
-#endif
             pacPdmMv      [iRefListId + 2 + (iLoopCan<<2)] = cMv;
           }
@@ -7187,5 +6893,8 @@
 {
   UInt uiCurrPartNumb = m_pcPic->getNumPartInCU() >> (uiDepth << 1);
-  for( UInt ui = 0; ui < uiCurrPartNumb; ui++ ) { m_dmmWedgeTabIdx[dmmType][uiAbsPartIdx+ui] = tabIdx; }
+  for( UInt ui = 0; ui < uiCurrPartNumb; ui++ )
+  { 
+    m_dmmWedgeTabIdx[dmmType][uiAbsPartIdx+ui] = tabIdx; 
+  }
 }
 #endif
